Bug 381451 - Eclipse crashes after startup
Eclipse crashes after startup
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 22:05 EST by Boris Goldowsky
Modified: 2008-11-26 06:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 06:23:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error log (82.17 KB, text/plain)
2007-11-13 22:05 EST, Boris Goldowsky
no flags Details

  None (edit)
Description Boris Goldowsky 2007-11-13 22:05:39 EST
Description of problem:

Starting eclipse with existing workspace (previously used with stock Eclipse
3.2), while workspace is being rebuilt:

# An unexpected error has been detected by Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00002aaaaacd8fa1, pid=26972, tid=1080056144
#
# Java VM: IcedTea 64-Bit Server VM (1.7.0-b21 mixed mode linux-amd64)
# Problematic frame:
# V  [libjvm.so+0x205fa1]
#
# An error report file with more information is saved as:
# /home/boris/hs_err_pid26972.log

and in alert box:

JVM terminated. Exit code=1
/usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0.x86_64/jre/bin/java
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar
-os linux
-ws gtk
-arch x86_64
-showsplash
-launcher /usr/lib64/eclipse/eclipse
-name Eclipse
--launcher.library
/usr/lib64/eclipse/plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.0.0.v20070606/eclipse_1017a.so
-startup /usr/share/eclipse/startup.jar
-exitdata 337001d
-vm /usr/lib/jvm/java-1.7.0-icedtea-1.7.0.0.x86_64/jre/bin/java
-vmargs
-Dosgi.sharedConfiguration.area=/usr/lib64/eclipse/configuration
-jar /usr/share/eclipse/startup.jar 

Version-Release number of selected component (if applicable):
eclipse-jdt-3.3.0-30.fc8.x86_64
eclipse-platform-3.3.0-30.fc8.x86_64
java-1.7.0-icedtea-1.7.0.0-0.19.b21.snapshot.fc8.x86_64

How reproducible:

always
Comment 1 Boris Goldowsky 2007-11-13 22:05:39 EST
Created attachment 257651 [details]
Error log
Comment 2 Andrew Overholt 2007-11-13 22:39:23 EST
This sounds like it might be an IcedTea bug.  Andrew/Tom:  thoughts?

Boris:  I notice you're using plugins we don't ship in Fedora.  Can you make it
happen with a clean workspace/clean ~/.eclipse?
Comment 3 Boris Goldowsky 2007-11-14 08:01:57 EST
No, I tried it with an account without existing eclipse projects/configuration
and it starts up fine.
Comment 4 Andrew Overholt 2007-11-14 09:28:54 EST
(In reply to comment #3)
> No, I tried it with an account without existing eclipse projects/configuration
> and it starts up fine.

Hmm.  That doesn't bode well for us being able to reproduce it :(  If you can
come up with an easy way to reproduce, I'm sure the IcedTea team will take a
look, but otherwise -- and especially since you can't make it happen out of the
box -- it will be difficult to track down.

Comment 5 Boris Goldowsky 2007-11-15 10:12:15 EST
Understood.  Unfortunately it seems to be tied to my particular workspace -- if
I copy my old .plugins/org.eclipse.core.resources into a new workspace, it dies
on startup.  But I don't think you could replicate the setup without my project
directories.

So it looks like I'll have to rebuild a new workspace on this new version,
unless someone has an idea of how to make a replicable test case out of this. I
don't know enough about how eclipse works to think of a method.
Comment 6 Paul Black 2007-11-19 05:10:18 EST
I suspect it may be an IcedTea bug: I was getting a similar issue with CVS
checkouts but switching to java-1.5.0 caused the problem to disapppear.
Comment 7 Rohit Singh 2007-12-07 15:43:45 EST
I ran into the same issues with the version of Fedora Eclipse released with F8.
 However, I was able to avoid crashing by downloading and using Sun's 1.6.0_03
JRE.  I'm pretty sure the problem lies in IcedTea.  

I too encountered the issue on a 64-bit environment.  
Comment 8 Bug Zapper 2008-11-26 03:25:12 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.